# Uses of Interface
org.eclipse.birt.chart.model.attribute.DataPointComponent

Packages that use DataPointComponent
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of DataPointComponent in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return DataPointComponent
Modifier and Type
Method
Description
`DataPointComponent`
DataPointComponent.`copyInstance()`
`DataPointComponent`
AttributeFactory.`createDataPointComponent()`
Returns a new object of class 'Data Point Component'.
Methods in org.eclipse.birt.chart.model.attribute that return types with arguments of type DataPointComponent
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<DataPointComponent>`
DataPoint.`getComponents()`
Returns the value of the 'Components' containment reference list.

## Uses of DataPointComponent in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement DataPointComponent
Modifier and Type
Class
Description
`class`
`DataPointComponentImpl`
An implementation of the model object ' Data Point Component'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return DataPointComponent
Modifier and Type
Method
Description
`DataPointComponent`
DataPointComponentImpl.`copyInstance()`
`static final DataPointComponent`
DataPointComponentImpl.`create(DataPointComponentType dpct, FormatSpecifier fs)`
A convenience methods provided to create an initialized DataPointComponent instance NOTE: Manually written
`DataPointComponent`
AttributeFactoryImpl.`createDataPointComponent()`
Methods in org.eclipse.birt.chart.model.attribute.impl that return types with arguments of type DataPointComponent
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<DataPointComponent>`
DataPointImpl.`getComponents()`